classification
Title: test_distutils leaves a 'foo' file behind in the cwd
Type: Stage:
Components: Distutils Versions: Python 3.0, Python 3.1, Python 2.7, Python 2.6
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: tarek Nosy List: matejcik, r.david.murray, rpetrov, tarek
Priority: normal Keywords:

Created on 2009-05-14 17:05 by r.david.murray, last changed 2010-04-07 17:54 by matejcik. This issue is now closed.

Messages (8)
msg87744 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-05-14 17:05
The test for issue #5977 added to test_get_outputs leaves a file named
'foo' behind in the current working directory.
msg87760 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-05-14 20:22
done in r72636, r72637, r72638, r72639
msg88005 - (view) Author: Roumen Petrov (rpetrov) * Date: 2009-05-17 21:44
After lets call it "cd temp dir" modification the fail on my linux box :
missing libpithon2.7.
What is the buildbot trick as the test pass on all linux buildbots ?
msg88085 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-05-19 18:18
It's not just on the buildbots, it passes fine on my Gentoo box.  So the
question really is, what's different about your box that makes it fail?
 Can you figure out what bit of code is not finding that library?

How do you run the tests?  Maybe that makes a difference.
msg88323 - (view) Author: Roumen Petrov (rpetrov) * Date: 2009-05-25 19:32
I think that one difference is build outside source tree. Not sure that
this is problem - the linker flags contain "... -L. -lpython2.7 ..." and
after change into another directory(temp) library is no more in current
directory.

Right now I'm too busy to look again into details.
msg88570 - (view) Author: Roumen Petrov (rpetrov) * Date: 2009-05-30 12:42
Hi All,
The test always fails even builddir == srddir , with and without
directory links in src-/build-path. 

$ LD_LIBRARY_PATH=`pwd` ./python
Python 2.7a0 (trunk:73046M, May 30 2009, 14:09:06)
[GCC 4.2.4] on linux2
....

$ cat /tmp/pynexttest
test_distutils

The command to run test is:
$ LC_ALL=C ./python -E -tt ./Lib/test/regrtest.py -l -v -s
msg88571 - (view) Author: Roumen Petrov (rpetrov) * Date: 2009-05-30 12:45
P.S.: the test command start with LD_LIBRARY_PATH=`pwd`
msg102553 - (view) Author: jan matejek (matejcik) * Date: 2010-04-07 17:54
see issue 8335
History
Date User Action Args
2010-04-07 17:54:30matejciksetnosy: + matejcik
messages: + msg102553
2009-05-30 12:45:09rpetrovsetmessages: + msg88571
2009-05-30 12:42:37rpetrovsetmessages: + msg88570
2009-05-25 19:32:19rpetrovsetmessages: + msg88323
2009-05-19 18:18:13r.david.murraysetmessages: + msg88085
2009-05-17 21:44:57rpetrovsetnosy: + rpetrov
messages: + msg88005
2009-05-14 20:22:29tareksetstatus: open -> closed

messages: + msg87760
components: + Distutils
versions: + Python 2.6, Python 3.0, Python 3.1, Python 2.7
2009-05-14 17:23:36benjamin.petersonsetassignee: tarek

nosy: + tarek
2009-05-14 17:05:55r.david.murraycreate